<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
    <style>
        body {
            text-align: center
        }
    </style>
</head>
<script type="text/javascript" src="https://code.jquery.com/jquery-3.3.1.min.js"></script>

<body>
<div>
    <!--    <h3 th:text="'欢迎你：' + 'Join同学'"></h3>-->
    <h1>欢迎访问</h1>
    <div id="current_user" style="display: none"></div>
    <div>
        <!--        <button onclick="start(login_url)">登录</button>-->
        <a id="login">登录</a>
    </div>
    <script th:inline="javascript">
        const base_path = "http://localhost:8080"
        const login_url = base_path + "/login/getQrCodeImg";
        const token = window.localStorage.getItem("access_token");

        if (token != null) {
            console.log(token);
            getUserMsg();
        }

        function getUserMsg() {
            $.ajax({
                headers: {
                    "access_token": token
                },
                url: "/getUser",
                type: "get",
                success: function (response) {
                    if (response["code"] !== "500") {
                        console.log(response);
                        console.log(response["code"]);
                        document.getElementById("login").style.display = "none";
                        document.getElementById("current_user").innerText = response["data"]["userName"];
                        document.getElementById("current_user").style.display = "block";
                    }
                }
            });
        }
        document.getElementById("login").href = login_url;
    </script>
</div>

</body>
</html>